Package Details: mailspring 1.9.2-2

Git Clone URL: https://aur.archlinux.org/mailspring.git (read-only, click to copy)
Package Base: mailspring
Description: A beautiful, fast and maintained fork of Nylas Mail by one of the original authors.
Upstream URL: https://getmailspring.com/
Keywords: email mail multiple-accounts nylas
Licenses: custom: GPL3 and (C) 2016-2019 Foundry 376, LLC.
Submitter: jnylen
Maintainer: slondr (mandeepsan)
Last Packager: mandeepsan
Votes: 188
Popularity: 5.78
First Submitted: 2017-10-06 10:00
Last Updated: 2021-09-29 10:02

Latest Comments

1 2 3 4 5 6 ... Next › Last »

mandeepsan commented on 2021-09-29 10:07

The PKGBUILD is now fixed for coreutils 9.0-1 that was causing build to fail. I really appreciate Humandoodlebug to bring this bug into our attention.

Humandoodlebug commented on 2021-09-29 08:42

I'm getting an error in the package() stage. Seems to be caused by the line chmod -R go-w "${pkgdir}"/usr, which tries to recursively change the permissions on the symlink usr/bin/mailspring. In my testing, this is fine when the symlink is directly specified in the command but returns error status when it is found through recursion. Permissions on symlinks aren't really a thing anyway, so perhaps it's best to split the line in two like this:

chmod go-w "${pkgdir}"/usr "${pkgdir}"/usr/bin
chmod -R go-w "${pkgdir}"/usr/share

EDIT: This appears to be a new change in behaviour of chmod between coreutils 8.32-1 and 9.0-1. This seems to have broken a few other packages too, e.g. spotify. Downgrading to 8.32-1 fixes it, but that's probably not a good long-term solution.

slondr commented on 2021-09-16 21:03

Package updated to version 1.9.2. I appreciate everyone's patience.

Sasuchi commented on 2021-09-09 12:05

Version 1.9.2 Instruction: Edit Buildfile and change this lines: pkgver=1.9.2 sha256sums_x86_64=('a3bc365c77791673d8b7d8fc2081b2e8e80ab5d78d6ffa99f848971849f43544')

After saving you can install/ update

que5779 commented on 2021-09-08 20:41

I switched to Manjaro from Ubuntu because of the snaps and bloat, but snaps have creeped into Manjaro the past few major Gnome updates. So I am now using the auto updating snap from https://snapcraft.io/mailspring. There are Arch and Manjaro instructions.

flavio92ux commented on 2021-09-08 18:30

package out of date. I downloaded .deb package from official site and used debtap for converting .deb for arch linux package and worked.

rajkrys commented on 2021-09-08 13:55

I do agree, since couple of days my Mailspring is asking for update... would be nice to update this repo.

moonaru commented on 2021-09-08 06:09

Version 1.9.2 has been released. It would be good if there is an update.

aorth commented on 2021-08-14 14:54

@FabioLolix ouch! That's terrible. So... yeah... bin package it is for now.

FabioLolix commented on 2021-08-13 10:31

Building mailspring from source is a PITa, for various reasons; like it need to use GCC5.